# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Retrieve latest card account updates Use a `GET` request to retrieve the latest account update information from the most recent card account update inquiry for a specific card account. **Required path parameter field:** The `account-identifier` value can be obtained from the following two APIs: - Account Updater API: You can use the requestId or responseId as the account-identifier key. These IDs originate from a previously executed Account Updater POST request. - Notifications API: You can use the transactionId as the account-identifier key which originates from the webhook notifications for account updates of registered cards. For more information, refer to [Account updater events](/docs/commerce/optimization-protection/capabilities/notifications/notification-types#account-updater-events) in the Notifications API. ### Retrieve account updates Get the latest card account updates using the `requestId` or `responseId` from the previous `POST` inquiry response for the specific card account. **HTTP method: **`GET` **Endpoint: **`/account-updates/{account-identifier}` **Response:** ```json { "recordUpdateTimestamp": "2024-11-15T01:13:46.256Z", "responseId": "89af6487-a14e-4cd8-8821-7f8c35df8a96", "requestId": "bd3e8655-081d-4c26-b406-559aaeb934bd", "requestStatus": "REGISTERED", "response": "SUCCESS", "resultsMessage": { "oldAccountInformation": { "cardNumber": "4111111111111113", "expiry": { "month": 9, "year": 2032 }, "cardTypeName": "VISA", "accountNumberType": "PAN" }, "newAccountInformation": { "cardNumber": "4111111180885260", "expiry": { "month": 9, "year": 2037 }, "cardTypeName": "VISA", "paymentMethodChanged": false, "accountNumberType": "PAN" }, "networkResponse": "A", "reason": "Account Update provided for both account number and expiry" }, "subMerchantId": "000000676252" } ``` ### Retrieve account updates using Safetech token Get the latest card account updates using the `requestId` or `responseId` from the previous `POST` inquiry response for the `accountNumberType `as `SAFETECH_TOKEN`. **HTTP method: **`GET` **Endpoint: **`/account-updates/{account-identifier}` **Response:** ```json { "recordUpdateTimestamp": "2024-11-18T16:47:41.457Z", "responseId": "113194fc-2f07-4ff5-a3c3-85895652c629", "requestId": "da887c4b-68b5-4346-b390-2e81afb75223", "response": "SUCCESS", "resultsMessage": { "oldAccountInformation": { "cardNumber": "4111111557381113", "expiry": { "month": 7, "year": 2026 }, "cardTypeName": "VISA", "accountNumberType": "SAFETECH_TOKEN" }, "newAccountInformation": { "cardNumber": "4111117039188641", "expiry": { "month": 7, "year": 2031 }, "cardTypeName": "VISA", "paymentMethodChanged": false, "accountNumberType": "SAFETECH_TOKEN" }, "networkResponse": "A", "reason": "Account Update provided for both account number and expiry" } } ``` ### Retrieve account updates for Discover Get the latest card account updates for Discover using the `requestId` or `responseId` from the previous `POST` inquiry response for the `accountNumberType` as `PAN.` **HTTP method: **`GET` **Endpoint: **`/account-updates/{account-identifier}` **Response:** ```json { "recordUpdateTimestamp": "2025-06-24T21:10:01.875Z", "responseId": "6147bb3d-d241-42c2-a1bd-9e90ffa8b3f3", "requestId": "b801f6a1-9e70-4e1c-a91c-11b2ab01a126", "requestStatus": "REGISTERED", "response": "SUCCESS", "resultsMessage": { "oldAccountInformation": { "cardNumber": "6011111111111116", "expiry": { "month": 12, "year": 2020 }, "cardTypeName": "DISCOVER", "accountNumberType": "PAN" }, "newAccountInformation": { "cardNumber": "6211111111111114", "expiry": { "month": 12, "year": 2025 }, "cardTypeName": "DISCOVER", "paymentMethodChanged": false, "accountNumberType": "PAN" }, "reasonMessage": "NEW_ACCOUNT_AND_EXPIRY", "responseMessage": "Account Update provided for both account number and expiry", "networkResponseCode": "A" }, "cardAccountAction": "REGISTER" } ``` ### Retrieve account updates for registered cards Get the latest card account updates after you recieve webhook-notification for registered cards. **HTTP method: **`GET` **Endpoint: **`/account-updates/{account-identifier}` **Response:** ```json { "recordUpdateTimestamp": "2025-09-08T23:08:18.619Z", "responseId": "1576617d-1f05-4099-9adb-5df0a1879f14", "requestId": "49348e46-dfcb-4feb-898c-966fa2d532d0", "requestStatus": "REGISTERED", "response": "SUCCESS", "resultsMessage": { "oldAccountInformation": { "cardNumber": "5111111111111113", "expiry": { "month": 12, "year": 2032 }, "cardTypeName": "MASTERCARD", "accountNumberType": "PAN" }, "newAccountInformation": { "cardNumber": "5111111111111112", "expiry": { "month": 12, "year": 2035 }, "cardTypeName": "MASTERCARD", "accountNumberType": "PAN" }, "reasonMessage": "NEW_ACCOUNT_AND_EXPIRY", "responseMessage": "Account Update provided for both account number and expiry", "networkResponseCode": "ACCOUNT_UPDATE" } } ``` > `oldAccountInformation` refers to the card details that were in use directly before the current card. `newAccountInformation` refers to the details of the card currently in use. >